# [PredictionIO](http://prediction.io)

PredictionIO is an open source machine learning framework for developers and data scientists. It supports event collection, deployment of algorithms, evaluation, querying predictive results via REST APIs. 

To get started, check out <http://prediction.io>!

## Table of contents
- [Installation](#installation)
- [Quick start](#quick-start)
- [Bugs and feature requests](#bugs-and-feature-requests)
- [Documentation](#documentation)
- [Contributing](#contributing)
- [Community](#community)


## Installation  

Five installation options available. 

* [Installing PredictionIO on Linux / Mac OS X](http://docs.prediction.io/current/install/install-linux.html)
* [Installing PredictionIO from Source Code](http://docs.prediction.io/current/install/install-sourcecode.html)
  If you are installing from source code, it's recommended that you clone the master branch. 
* [Launching PredictionIO on AWS](http://docs.prediction.io/current/install/launch-aws.html)
* [Installing PredictionIO with Docker](https://github.com/mingfang/docker-predictionio) (Community contributed)
* [Installing PredictionIO with Vagrant](https://github.com/magento-hackathon/PredictionIO-Vagrant) (Community contributed)


## Quick start
See [Engine Template Quick Start](http://docs.prediction.io/current/templates/) Guide.



## Bugs and feature requests

Have a bug or a feature request?  Please search for existing and closed issues on the [Community Forum](https://groups.google.com/forum/#!forum/predictionio-user). If your problem or idea is not addressed yet, [please open a new issue](https://github.com/PredictionIO/PredictionIO/issues/new).


## Documentation

PredictionIO’s documentation, included in this repo in the root directory, is built with [Jekyll](http://jekyllrb.com) and publicly hosted at <http://docs.prediction.io/current/>. The docs may also be run locally.


### Running documentation locally

1. If necessary, [install Jekyll](http://jekyllrb.com/docs/installation) (requires v2.4.x).
  - **Windows users:** Read [this unofficial guide](http://jekyll-windows.juthilo.com/) to get Jekyll up and running without problems.
2. Install the Ruby-based syntax highlighter, [Rouge](https://github.com/jneen/rouge), with `gem install rouge`.

3. From the `/docs/manual` directory, run `jekyll serve` in the command line.

4. Open Server address ( http://0.0.0.0:4000/current/ ) in your browser, and you should see the documentation.

Learn more about using Jekyll by reading its [documentation](http://jekyllrb.com/docs/home/).


## Community

Keep track of development and community news.

- Follow [@predictionio](https://twitter.com/predictionio) on Twitter.
- Read and subscribe to [the Newsletter ](http://prediction.us6.list-manage1.com/subscribe?u=d8c0435d851c1310fc64c6e26&id=8c6c1b46d0).
- Join the [Community Forum](https://groups.google.com/forum/#!forum/predictionio-user).


## Contributing

Please read and sign the [Contributor Agreement](http://prediction.io/cla). If you have any questions, you can post on the [Contributor Forum](https://groups.google.com/forum/#!forum/predictionio-dev). 

You can also list your projects on the [Community Project page](http://docs.prediction.io/current/projects.html)

## License
PredictionIO is under [Apache 2 license](http://www.apache.org/licenses/LICENSE-2.0.html).


