---
layout: docs
title:  Contributors' Guide
---

# Contributors' Guide

### Reporting an Issue

Report your issues to one of the following:

- [GitHub Issues](https://github.com/PredictionIO/PredictionIO/issues)
- [PredictionIO JIRA](https://predictionio.atlassian.net)

### How to Add / Propose a New Feature

If you wish to see a feature added in PredictionIO, you can <a
href="mailto:support@prediction.io">submit your suggestions</a> directly to us,
post on the [user
group](https://groups.google.com/forum/#!forum/predictionio-user), or implement
it yourself and create a pull request.

### How to Help Resolve Existing Issues

You can see a list of all issues and tasks
[here](https://predictionio.atlassian.net). You are free to work on any issues
you like and submit a pull request. If you are working on an issue, please
reassign the ticket to yourself so others know that you are working on it.

### How to Contribute to the Documentation

You can help improve the PredictionIO documentation by submitting tutorials,
how-tos, fixing error, or adding missing information.

You can either open a [pull
request](https://help.github.com/articles/creating-a-pull-request/) on the
**livedoc** branch for instant update or the **develop** branch for the next
release.

If you are unsure of the documentation changes, please file an issue (described
in the **Reporting an Issue** at the beginning of this page).

### How to Issue a Pull Request

When you have finished your code, you can [create a pull
request](https://help.github.com/articles/creating-a-pull-request/) against the
**develop** branch.

- Make sure the title and description are clear and concise. For more details on
  writing a good commit message, check out [this
  guide](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
- If the change is visual, make sure to include a screenshot or GIF.
- If the PR closes an issue, make sure to put *Closes #X* at the end of the
  description on a new line.
- Make sure it is being opened into the right branch.
- Make sure it has been rebased on top of that branch.
